#
# spec file for package xplayer
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%bcond_without zeitgeist
Name:           xplayer
Version:        1.0.7
Release:        2.18
Summary:        Generic media player
License:        GPL-2.0+ and LGPL-2.1+
Group:          Productivity/Multimedia/Video/Players
Url:            https://github.com/linuxmint/xplayer
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  gnome-common
BuildRequires:  gstreamer-plugins-good >= 0.11.93
# For gst-inspect tool
BuildRequires:  gstreamer-utils >= 0.11.93
BuildRequires:  lirc-devel
BuildRequires:  pkgconfig
BuildRequires:  python3-devel
BuildRequires:  python3-pylint
BuildRequires:  translation-update-upstream
BuildRequires:  update-desktop-files
BuildRequires:  vala >= 0.14.1
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(%{name}-plparser)
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(clutter-1.0) >= 1.10.0
BuildRequires:  pkgconfig(clutter-gtk-1.0) >= 1.0.2
BuildRequires:  pkgconfig(dbus-glib-1) >= 0.82
BuildRequires:  pkgconfig(glib-2.0) >= 2.33.0
BuildRequires:  pkgconfig(gsettings-desktop-schemas)
BuildRequires:  pkgconfig(gstreamer-1.0) >= 0.11.93
BuildRequires:  pkgconfig(gstreamer-plugins-bad-1.0) >= 1.0.2
BuildRequires:  pkgconfig(gstreamer-plugins-base-1.0) >= 0.11.93
BuildRequires:  pkgconfig(gstreamer-tag-1.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.5.2
BuildRequires:  pkgconfig(ice)
BuildRequires:  pkgconfig(iso-codes)
BuildRequires:  pkgconfig(libepc-ui-1.0) > 0.4.0
BuildRequires:  pkgconfig(libpeas-1.0) >= 1.1.0
BuildRequires:  pkgconfig(libxml-2.0) >= 2.6.0
BuildRequires:  pkgconfig(pygobject-3.0) >= 2.90.3
BuildRequires:  pkgconfig(shared-mime-info)
BuildRequires:  pkgconfig(sm)
BuildRequires:  pkgconfig(x11)
# Needed for scaletempo (boo#810378, boo#809854).
Requires:       gstreamer-plugins-bad
# We want a useful set of plugins.
Requires:       gstreamer-plugins-base
Requires:       gstreamer-plugins-good
Requires:       iso-codes
Recommends:     %{name}-lang
Recommends:     %{name}-plugins
Suggests:       %{name}-browser-plugin
Suggests:       gnome-dvb-daemon
%glib2_gsettings_schema_requires
%if 0%{?suse_version} > 1320 || (0%{?sle_version} >= 120200 && 0%{?is_opensuse})
BuildRequires:  pkgconfig(grilo-0.3)
%else
BuildRequires:  pkgconfig(grilo-0.2)
%endif
%if 0%{?suse_version} > 1320 || (0%{?suse_version} == 1315 && 0%{?is_opensuse})
BuildRequires:  pkgconfig(clutter-gst-3.0) >= 2.99.2
# Required for cluttersink.
Requires:       gstreamer-plugin-gstclutter-3_0
%else
BuildRequires:  pkgconfig(clutter-gst-2.0) >= 1.5.5
# Required for cluttersink.
Requires:       gstreamer-plugin-gstclutter
%endif
%if %{with zeitgeist}
BuildRequires:  pkgconfig(zeitgeist-2.0) >= 0.9.12
%else
Obsoletes:      %{name}-plugin-zeitgeist <= %{version}
%endif

%description
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

%package plugins
Summary:        Plugins for xplayer media player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
Requires:       libpeas-loader-python
# Brasero plugin.
Recommends:     brasero
# BBC iPlayer plugin.
Recommends:     python-beautifulsoup
Recommends:     python-httplib2
# Gromit Annotation plugin.
Suggests:       gromit
%glib2_gsettings_schema_requires

%description plugins
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

This package includes plugins for xplayer, to add advanced features.

%if %{with zeitgeist}
%package plugin-zeitgeist
Summary:        Plugins for xplayer media player -- Zeitgeist Support
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:zeitgeist)

%description plugin-zeitgeist
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

This package includes the Zeitgeist plugin for xplayer.
%endif

%package browser-plugin
Summary:        Browser Plugin Based on xplayer media player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:browser(npapi))

%description browser-plugin
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

Apart from a movie player, it also includes a Mozilla plugin.

This package does not include the Windows Media (gmp) browser
plugin, nor the Flash video (vegas) plugin.

%package browser-plugin-gmp
Summary:        Windows Media Browser Plugin Based on xplayer media player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
Requires:       %{name}-browser-plugin = %{version}
Supplements:    packageand(%{name}:browser(npapi))

%description browser-plugin-gmp
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

This package includes only the Windows Media (gmp) browser plugin.

%package browser-plugin-vegas
Summary:        Flash video Browser Plugin Based on xplayer media player
Group:          Productivity/Multimedia/Video/Players
Requires:       %{name} = %{version}
Requires:       %{name}-browser-plugin = %{version}
Enhances:       packageand(%{name}:browser(npapi))

%description browser-plugin-vegas
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

This package includes only the Flash video (vegas) browser plugin.

%package devel
Summary:        Development files for xplayer media player
Group:          Development/Libraries/C and C++
Requires:       %{name} = %{version}

%description devel
xplayer is a media player based on GStreamer for the Cinnamon
desktop and others. It features a playlist, a full-screen mode,
seek and volume controls, and complete keyboard navigation.

This package contains files for development.

%lang_package

%prep
%setup -q

%build
NOCONFIGURE=1 gnome-autogen.sh
export BROWSER_PLUGIN_DIR=%{_libdir}/browser-plugins/
%configure \
  --disable-static
make %{?_smp_mflags}

%install
%make_install
# Remove SWF (#72417) and any Real (#72985) MIME types.
sed -i ':1;s/^\(MimeType=.*\);[^;]*\(real\|shockwave-flash\)[^;]*/\1/;t1' \
  %{buildroot}%{_datadir}/applications/%{name}.desktop
%suse_update_desktop_file %{name}
%find_lang %{name} %{?no_lang_C}
find %{buildroot} -type f -name "*.la" -delete -print
%fdupes %{buildroot}%{_prefix}/

%post
/sbin/ldconfig
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
/sbin/ldconfig
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_post

%post plugins
%glib2_gsettings_schema_post

%postun plugins
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%doc %{_datadir}/help/C/%{name}/
%{_bindir}/%{name}*
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/org.x.player.enums.xml
%{_datadir}/glib-2.0/schemas/org.x.player.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}*.*
%{_datadir}/icons/hicolor/*/devices/%{name}*.*
%{_datadir}/icons/hicolor/*/actions/%{name}*.*
%dir %{_datadir}/thumbnailers/
%{_datadir}/thumbnailers/%{name}.thumbnailer
%{_datadir}/%{name}/
%{_mandir}/man?/%{name}*.?%{?ext_man}
# Own directories for plugins.
%dir %{_libdir}/%{name}/
%dir %{_libdir}/%{name}/plugins/
# Be careful here: libdir contains plugins while libexecdir
# contains a small utility for the main package.
%if "%{_libdir}" != "%{_libexecdir}"
%dir %{_libexecdir}/%{name}/
%endif
%{_libexecdir}/%{name}/%{name}-bugreport.py
%{_libdir}/lib%{name}.so.*
%{_libdir}/girepository-1.0/Xplayer-1.0.typelib

%files lang -f %{name}.lang
%defattr(-,root,root)

%files plugins
%defattr(-,root,root)
# Explicitly list plugins.
%{_libdir}/%{name}/plugins/apple-trailers/
%{_libdir}/%{name}/plugins/autoload-subtitles/
%{_libdir}/%{name}/plugins/brasero-disc-recorder/
%{_libdir}/%{name}/plugins/chapters/
%{_libdir}/%{name}/plugins/dbus/
%{_libdir}/%{name}/plugins/grilo/
%{_libdir}/%{name}/plugins/gromit/
%{_libdir}/%{name}/plugins/im-status/
%{_libdir}/%{name}/plugins/lirc/
%{_libdir}/%{name}/plugins/media-player-keys/
%{_libdir}/%{name}/plugins/ontop/
%{_libdir}/%{name}/plugins/opensubtitles/
%{_libdir}/%{name}/plugins/properties/
%{_libdir}/%{name}/plugins/pythonconsole/
%{_libdir}/%{name}/plugins/recent/
%{_libdir}/%{name}/plugins/rotation/
%{_libdir}/%{name}/plugins/screensaver/
%{_libdir}/%{name}/plugins/screenshot/
%{_libdir}/%{name}/plugins/skipto/
%{_libdir}/%{name}/plugins/vimeo/
%{_datadir}/glib-2.0/schemas/org.x.player.plugins.opensubtitles.gschema.xml
%{_datadir}/glib-2.0/schemas/org.x.player.plugins.pythonconsole.gschema.xml

%if %{with zeitgeist}
%files plugin-zeitgeist
%defattr(-,root,root)
%{_libdir}/%{name}/plugins/zeitgeist-dp/
%endif

%files browser-plugin
%defattr(-,root,root)
%doc browser-plugin/README.browser-plugin
%{_libexecdir}/%{name}-plugin-viewer
%{_libdir}/browser-plugins/lib%{name}-cone-plugin*
%{_libdir}/browser-plugins/lib%{name}-mully-plugin*
%{_libdir}/browser-plugins/lib%{name}-narrowspace-plugin*

%files browser-plugin-gmp
%defattr(-,root,root)
%{_libdir}/browser-plugins/lib%{name}-gmp-plugin*

%files browser-plugin-vegas
%defattr(-,root,root)
%{_libdir}/browser-plugins/lib%{name}-vegas-plugin*

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/gir-1.0/*.gir

%changelog
* Sat Jul 23 2016 dimstar@opensuse.org
- Also use grilo-0.3 on openSUSE Leap 42.2+.
* Mon Jun 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.7:
  * Fix screensaver inhibit on audio playback.
  * Update translations.
* Wed Jun 22 2016 sor.alexei@meowr.ru
- Update to version 1.0.6:
  * Recolour the xplayer-view-sidebar-symbolic.svg for it to use
    standard symbolic icon colouring.
  * Add missing credits to the Totem developers in the AUTHORS file.
  * Show application name in about dialog.
* Tue May 24 2016 sor.alexei@meowr.ru
- Update to version 1.0.5:
  * Update translations.
* Tue May 17 2016 sor.alexei@meowr.ru
- Update to version 1.0.4:
  * Add missing libpeas-loader-python requirement for D-Bus plugin.
* Wed Apr 27 2016 sor.alexei@meowr.ru
- Update to version 1.0.3:
  * Improve scroll seeking in shorter videos/music.
  * Fix not scrolling backwards.
  * Add support for Grilo 0.3.x.
  * Update translations.
- Add dependencies for Python plugins.
* Wed Feb 10 2016 sor.alexei@meowr.ru
- Update to 1.0.2:
  * Don't capitalise in the dconf schema path.
* Sun Feb  7 2016 sor.alexei@meowr.ru
- Initial package, based on totem's package.
